namespace Modules.User.Application.Gateways;

public interface IAccountRepository
{
    Task<bool> ExistsWithRoleAsync(int roleId, CancellationToken cancellationToken);
    Task<bool> ExistsWithDirectPermissionAsync(int permissionId, CancellationToken cancellationToken);
}